# This file created by conda-build 3.21.9
# meta.yaml template originally from:
# /tmp/abs_6fxmc66kyk/clone/recipe, last modified Fri Jul 29 15:59:01 2022
# ------------------------------------------------

package:
  name: pylint
  version: 2.14.5
source:
  sha256: 487ce2192eee48211269a0e976421f334cf94de1806ca9d0a99449adcdf0285e
  url: https://pypi.io/packages/source/p/pylint/pylint-2.14.5.tar.gz
build:
  entry_points:
    - epylint = pylint:run_epylint
    - pylint = pylint:run_pylint
    - pylint-config = pylint:_run_pylint_config
    - pyreverse = pylint:run_pyreverse
    - symilar = pylint:run_symilar
  number: '0'
  script: /tmp/abs_6fxmc66kyk/croots/recipe/pylint_1659110350161/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
  string: py39h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - ca-certificates 2022.07.19 h06a4308_0
    - certifi 2022.6.15 py39h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.3 h5eee18b_3
    - openssl 1.1.1q h7f8727e_0
    - pip 22.1.2 py39h06a4308_0
    - python 3.9.12 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 61.2.0 py39h06a4308_0
    - sqlite 3.38.5 hc218d9a_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
  run:
    - astroid >=2.11.6,<2.12.0
    - dill >=0.2
    - isort >=4.2.5,<6
    - mccabe >=0.6,<0.8
    - platformdirs >=2.2.0
    - python >=3.9,<3.10.0a0
    - tomli >=1.1.0
    - tomlkit >=0.10.1
    - typing_extensions >=3.10
test:
  commands:
    - pip check
    - pylint --help
    - type epylint
    - pyreverse --help
    - symilar --help
  imports:
    - pylint
    - pylint.checkers
    - pylint.extensions
    - pylint.pyreverse
    - pylint.reporters
    - pylint.reporters.ureports
    - pylint.utils
  requires:
    - pip
about:
  description: 'Pylint is a tool that checks for errors in Python code, tries to enforce
    a

    coding standard and looks for code smells.

    '
  dev_url: https://github.com/PyCQA/pylint/
  doc_source_url: https://github.com/PyCQA/pylint/blob/master/doc/index.rst
  doc_url: https://pylint.readthedocs.io
  home: https://www.pylint.org
  license: GPL-2.0-or-later
  license_family: GPL
  license_file: LICENSE
  summary: python code static checker
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 6f96cc84-ec9b-43bc-87ac-34b468046829
  recipe-maintainers:
    - goanpeca
    - jakirkham
    - timleslie
  remote_url: git@github.com:AnacondaRecipes/pylint-feedstock.git
  sha: 200f6be602f77b83311d08320eebb676d162f67b
